Pollen Forecasts
Pollen forecasts are made using numerical modeling and observational data. The pollen concentrations are described with pollen grains per cubic meter of air (grains/m3). Pollen forecasts for the following species are available in the Pollen API: alder, birch, grass, mugwort, olive and ragweed. The pollen forecasts are currently available only for Europe.
Get an API key OpenAPI spec for AI assistants
Full API reference — quickstart, authentication, request limits and attribution.
Pollen forecasts are made using numerical modeling and observational data. The pollen concentrations are described with pollen grains per cubic meter of air (grains/m3).
Pollen forecasts for the following species are available in the Pollen API: alder, birch, grass, mugwort, olive and ragweed. The pollen forecasts are currently available only for Europe.
Pollen rating
How people react to various amounts of pollen varies enormously. It may depend on the species of pollen, the location, or other individual factors. This pollen rating system provides some indication of the pollen concentration, but the classification is general in nature and subject to significant individual variation. The pollen rating has five different levels, and each level is described by an index ranging from 0 to 4.

0 = no pollen (or very little) — NOTE! not equal to 0 grains/m3, No pollen is reported when the amount of pollen is less than 0.2 grains/m3 for all pollen types.
1 = low — Low pollen is indicated when the amount of pollen is less than 10 grains/m3 for all pollen types.
2 = moderate — Moderate pollen varies for the pollen type. For alder, birch and olive, moderate pollen is indicated for pollen concentrations below 100 grains/m3. For grass and ragweed, moderate pollen is indicated for pollen concentrations below 30 grains/m3 and for mugwort pollen, moderate levels are indicated for concentrations below 50 grains/m3.
3 = high — High pollen varies for the pollen type. For alder, birch and olive, high pollen is indicated for pollen concentrations below or equal to 500 grains/m3. For grass, ragweed and mugwort, high pollen is indicated for pollen concentrations below or equal to 100 grains/m3.
4 = very high — When the pollen concentration is above 500 grains/m3 for alder, birch and olive, very high pollen is indicated. For grass, ragweed and mugwort, very high pollen is indicated for pollen concentrations above 100 grains/m3.
Endpoints
Hourly
Hourly pollen forecasts.
Path Parameters
locationType: stringrequired"Longitude, latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 24, maximum 85)
tzType: stringTime zone in response (IANA time zone database names)
/api/v1/pollen/forecast/hourly/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/pollen/forecast/hourly/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"time": "2023-03-28T14:00+02:00",
"alder": 1,
"birch": 0,
"grass": 1,
"mugwort": 0,
"olive": 0,
"ragweed": 0,
"alder_m3": 0.3,
"birch_m3": 0.1,
"grass_m3": 0.325,
"mugwort_m3": 0,
"olive_m3": 0,
"ragweed_m3": 0
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"time": {
"type": "string",
"example": "2023-03-28T14:00+02:00"
},
"alder": {
"type": "number",
"example": 1
},
"birch": {
"type": "number",
"example": 0
},
"grass": {
"type": "number",
"example": 1
},
"mugwort": {
"type": "number",
"example": 0
},
"olive": {
"type": "number",
"example": 0
},
"ragweed": {
"type": "number",
"example": 0
},
"alder_m3": {
"type": "number",
"example": 0.3
},
"birch_m3": {
"type": "number",
"example": 0.1
},
"grass_m3": {
"type": "number",
"example": 0.325
},
"mugwort_m3": {
"type": "number",
"example": 0
},
"olive_m3": {
"type": "number",
"example": 0
},
"ragweed_m3": {
"type": "number",
"example": 0
}
}
}
}
}
}Daily
Daily pollen forecasts.
Path Parameters
locationType: stringrequired"Longitude, latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 3, maximum 4)
/api/v1/pollen/forecast/daily/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/pollen/forecast/daily/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"date": "2023-03-29",
"alder": 1,
"birch": 1,
"grass": 1,
"mugwort": 0,
"olive": 0,
"ragweed": 0,
"alder_m3": 0.2,
"birch_m3": 0.65,
"grass_m3": 0.45,
"mugwort_m3": 0,
"olive_m3": 0,
"ragweed_m3": 0
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"date": {
"type": "string",
"example": "2023-03-29",
"description": "ISO 8601 date"
},
"alder": {
"type": "number",
"example": 1
},
"birch": {
"type": "number",
"example": 1
},
"grass": {
"type": "number",
"example": 1
},
"mugwort": {
"type": "number",
"example": 0
},
"olive": {
"type": "number",
"example": 0
},
"ragweed": {
"type": "number",
"example": 0
},
"alder_m3": {
"type": "number",
"example": 0.2
},
"birch_m3": {
"type": "number",
"example": 0.65
},
"grass_m3": {
"type": "number",
"example": 0.45
},
"mugwort_m3": {
"type": "number",
"example": 0
},
"olive_m3": {
"type": "number",
"example": 0
},
"ragweed_m3": {
"type": "number",
"example": 0
}
}
}
}
}
}